<form method="get" action="#{url _url /}" class="search-bar" id="searchForm">

    <div class="ui sixteen column grid stackable">
        
        <div class="four wide">
            <div class="ui dropdown selection" id="report">
                <input type="hidden" name="report" value="${_report}">
                <i class="dropdown icon"></i>
                <div class="default text">${_report ? _report : 'Pilih Report'}</div>
                <div class="menu">
                    <div class="item" data-value="e-tendering">e-Tendering</div>
                    <div class="item" data-value="e-purchasing">e-Purchasing</div>
                    <div class="item" data-value="non-e-tendering">Non e-Tendering</div>
                </div>
            </div>
        </div>
        <div class="four wide">
            <div class="ui dropdown selection" id="filter">
                <input type="hidden" name="filter" value="${_filter}">
                <i class="dropdown icon"></i>
                <div class="default text">${_filter ? _filter?.toString().replaceAll("_", " ") : 'Pilih Filter'}</div>
                <div class="menu">
                                #{list items:_filters, as:'f'}
                    <div class="item" data-value="${f}">${f.toString().replaceAll("_", " ")}</div>
                    #{/list}
                </div>
            </div>
        </div>
    </div>

</form>

#{set 'reportFiltersScripts'}
<script>
        $('#filter')
                .dropdown({
                    action: 'hide',
                    onChange: function(value, text, $selectedItem) {
                        $("input[name=filter]").val($selectedItem.data('value'));
                        $("#searchForm").submit();
                    }
                });
        $('#report')
                .dropdown({
                    action: 'hide',
                    onChange: function(value, text, $selectedItem) {
                        var report = $selectedItem.data('value');
                        window.location.href = "@{smartreport.SmartReportController.index()}?report="+ report;
                    }
                });
    </script>
#{/set}